#ifndef NEOPIXEL_H_
#define NEOPIXEL_H_

#define NUM_PIXELS   24

typedef enum
{
	KITT, BREATHING, BLINK, SOUND,
} Animation;

void NeoPixel_init(void);
void NeoPixel_set_pixel(int pixel, uint8_t red, uint8_t green, uint8_t blue);
void NeoPixel_clear_pixels(void);
void NeoPixel_update(void);
void NeoPixel_set_animation(Animation animation);
void NeoPixel_update_animation(void);

#endif /* NEOPIXEL_H_ */